
Hedera.Invoices = new Class({
	Extends: Hedera.Form,
	
	donwloadRenderer: function(column, invoice) {
		var invoiceId = invoice.get('id');

		if (invoice.get('pdf') && invoiceId) {
			var params = {
				srv: 'rest:dms/invoice',
				invoice: invoiceId,
				token: this.conn.token
			};

			Object.assign(column, {
				tip: _('Download PDF'),
				disabled: false,
				icon: 'download',
				href: '?'+ Vn.Url.makeUri (params)
			});
		} else
			Object.assign(column, {
				tip: _('Request the invoice to your salesperson'),
				disabled: true,
				icon: 'warning',
				href: null
			});
	}
});

